import * as React from 'react';
import {OrderFieldProps} from "../../../stores/_FieldConstants";
import {observer} from "mobx-react-lite";
import {AsyncModelSelect, useCommunicationLoadOptions} from "@rx-suite/ui";

export const FrameUpcField: React.FunctionComponent<OrderFieldProps> = observer(({name, label}) => {
    const loadOptions = useCommunicationLoadOptions("rx_inventory", "/api/frames", "upc", "upc", [{id: "upc", desc: false}])
    return (
        <AsyncModelSelect
            name={name}
            label={label}
            loadOptions={loadOptions}
            clearable
            fullWidth
        />
    )
});