import * as React from 'react';
import {FormProps, ModelForm, ModelInput, PaddedPaper} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {Container, Grid, Typography} from "@material-ui/core";
import {t} from "@lingui/macro";
import {StyleTypeSelect} from "../orders/fields/StyleTypeSelect";
import {StylesSelect} from "../orders/fields/StylesSelect";
import {StyleMaterialSelect} from "../orders/fields/StyleMaterialSelect";

export const QuickCodeForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <Container maxWidth={"lg"}>
            <PaddedPaper>
                <ModelForm model={model} suppressWrapper suppressImportExport suppressMakeCopy createAnotherAfterSubmit={true}>
                    <Typography variant={'h4'}>{t`Quick Codes Setup`}</Typography>
                    <Grid container spacing={4}>
                        <Grid item xs={12}>
                            <Grid container spacing={4}>
                                <Grid item xs={12}>
                                    <ModelInput name={'code'}/>
                                </Grid>
                                <Grid item xs={12}>
                                    <StyleTypeSelect/>
                                </Grid>
                                <Grid item xs={12}>
                                    <StylesSelect/>
                                </Grid>
                                <Grid item xs={12}>
                                    <StyleMaterialSelect/>
                                </Grid>
                            </Grid>
                        </Grid>
                    </Grid>
                </ModelForm>
            </PaddedPaper>
        </Container>
    );
})
