import {DataStore, Model} from "@rx-suite/data/build";
import {attribute, model} from "@rx-suite/data";
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/config_customers",
    routingInfo: {
        list: "/customer_list"
    }
})
export class ConfigCustomerModel extends Model {
    constructor() {
        super();
        super.setup();
    }

    @attribute({label: t`Customer Name`})
    customer_name: string = "";

    @attribute({label: t`Customer Number`})
    customer_number: string = "";

    @attribute({label: t`User Name`})
    user_name: string = "";

}

export const ConfigCustomerStore = ConfigCustomerModel.store as unknown as DataStore<ConfigCustomerModel>;