import {attribute, DataStore, model, Model} from "@rx-suite/data";


@model({
    transportLayer: "/api/style_materials",
    permissionTarget: "StyleMaterial",
})
export class StyleMaterialModel extends Model {
    constructor() {
        super();
        super.setup(); // This registers the observable attributes and viewModel
    }

    @attribute()
    material_code = "";

    @attribute()
    material_description = "";

    @attribute()
    tint_code = "";

    @attribute()
    treat_code = "";

    @attribute()
    style_id = "";
}

export const StyleMaterialStore = StyleMaterialModel.store as unknown as DataStore<StyleMaterialModel>;