class SyncStyleMaterialsJob < ApplicationJob
  queue_as :default

  def perform(*args)
    StyleMaterialSyncStatus.wrap do
      rxu_mats = RxModule::Communicator::Rxuniverse.style_materials

      mats = rxu_mats.map do
        {
          style_id: Style.where(style: _1[:style]).pluck(:id).first,
          material_code: _1[:materialCode],
          tint_code: _1[:tintCode],
          treat_code: _1[:treatCode],
          active: true,
          material_description: _1[:materialDesc]
        }
      end.reject { _1[:style_id].nil? }

      StyleMaterial.quietly do
        StyleMaterial.update_all(active: false)
        mats.each do |mat|
          material = StyleMaterial.unscope(:where).where(style_id: mat[:style_id], material_code: mat[:material_code], tint_code: mat[:tint_code], treat_code: mat[:treat_code]).first_or_initialize
          material.assign_attributes(mat)
          material.save
        end
      end
    end
  end
end
