# == Schema Information
#
# Table name: configs
#
#  id                     :bigint           not null, primary key
#  allow_personalization  :boolean          default(TRUE), not null
#  continuous_entry       :boolean          default(FALSE)
#  default_frame_status   :string(4000)     default("U"), not null
#  default_job_type       :string(4000)
#  edge_frame             :boolean
#  pd                     :string(4000)
#  user_email             :string(4000)
#  user_name              :string(4000)
#  created_at             :datetime         not null
#  updated_at             :datetime         not null
#  last_known_customer_id :string(4000)
#  user_id                :string(4000)
#
class Config < ApplicationRecord
  after_initialize :set_defaults

  has_many :config_customers
  has_many :customers, through: :config_customers

  class << self
    def display_name
      "User Config"
    end
  end

  def set_defaults
    self.pd ||= "B"
    self.default_job_type ||= "P"
    self.default_frame_status ||= "U"
    self.edge_frame ||= false
  end

  def to_json(*args)
    JSON.generate(JSON.parse(super.as_json(*args)).merge(JSON.parse(render_jbuilder_partial)))
  end
end
