# == Schema Information
#
# Table name: style_materials
#
#  id                   :bigint           not null, primary key
#  active               :boolean
#  material_code        :string(4000)
#  material_description :string(4000)
#  tint_code            :string(4000)
#  treat_code           :string(4000)
#  created_at           :datetime         not null
#  updated_at           :datetime         not null
#  style_id             :bigint           not null
#
# Indexes
#
#  index_style_materials_on_keys      (style_id,material_code,tint_code,treat_code) UNIQUE
#  index_style_materials_on_style_id  (style_id)
#
# Foreign Keys
#
#  fk_rails_...  (style_id => styles.id)
#
class StyleMaterial < ApplicationRecord
  scope :active, -> { where(active: true) }

  default_scope { active }

  validates_uniqueness_of :style_id, scope: [:material_code, :tint_code, :treat_code]

  belongs_to :style
end
